//=========================================================
//
// ルール
//
//=========================================================

#ifndef _RULE_
#define _RULE_

namespace AI_Modules {

	struct Rule {

		int boardWidth;
		int boardHeight;
		
		bool isRepetitionMoveProhibited; // 千日手禁止ですか？
		int  repetitionMoveMaxCount;     // 千日手禁止の場合、この回数まで、同一局面OK

		Rule() {
			boardWidth  = 0;
			boardHeight = 0;
			
			isRepetitionMoveProhibited = true;
			repetitionMoveMaxCount = 2; // 2回までOK。つまり3回目で千日手成立、ということ。
		}
	};
};
#endif



