//=========================================================
//
// Imagae Manager (declare)
//
//=========================================================

#ifndef _IMAGE_MANAGER_
#define _IMAGE_MANAGER_

#include <map>
#include <vector>
#include <string>

#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>

using namespace std;

class ImageManager {

public:

	static sf::Image* GetImage( string fileName );
	static sf::Image* GetImage( string fileName, sf::Color maskColor );


	static void Release();

private:

	static map<string, sf::Image*> _imageList;


};
#endif


