//=========================================================
//
// SoundManager (declare)
//
//=========================================================

#ifndef _SOUND_MANAGER_
#define _SOUND_MANAGER_

#include <map>
#include <vector>
#include <string>

#include <SFML/Audio.hpp>


using namespace std;

namespace GUI_SFML {

class SoundManager {

	public:

		SoundManager();
		~SoundManager();

		void Play(string fileName);

	private:

		map<string, sf::SoundBuffer*> _sounbBufferList;

		vector<sf::Sound*> _soundList;
	};
}
#endif
