//=========================================================
//
// 現在の手番表示パネル
//
//=========================================================

#ifndef _CURRENT_TURN_NAME_PANEL_
#define _CURRENT_TURN_NAME_PANEL_

#include <SFML/Graphics.hpp>

#include <vector>
#include <string>

using namespace std;

//class TextLabel;

class CurrentTurnNamePanel {

public:

	CurrentTurnNamePanel();
	~CurrentTurnNamePanel();

	void Update ( sf::RenderWindow &window );
	void Draw   ( sf::RenderWindow &window );

	sf::Vector2f GetPosition() { return _position; }
	void SetPosition  ( sf::Vector2f pos );
	void SetPosition  ( float x, float y ) { SetPosition ( sf::Vector2f(x, y) ); }
	void SetPositionX ( float x )          { SetPosition ( x, _position.y); }
	void SetPositionY ( float y )          { SetPosition ( _position.x, y); }

	//=========================================================
	// 値を設定
	//=========================================================
	void SetName ( string name );


private:

	///// 位置（中心点とする）
	sf::Vector2f _position;
	
	///// グラフィック的なもの：背景画像と文言
	//Image *_backImage;
	sf::RectangleShape _backRect;
	sf::Text _textLabel;
	
	///// 表示するデータ的なもの
	//
	//
	string _name;
	
	string _tobeText;    // あるべき文言
	
	

};


#endif
