//=========================================================
//
// EffectManager (declare)
//
//=========================================================

#ifndef _EFFECT_MANAGER_
#define _EFFECT_MANAGER_

#include <string>
#include <vector>
#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>

#include "IEffect.h"

using namespace std;

class EffectManager {

public:

	EffectManager();
	~EffectManager();

	void Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

	void Add(IEffect *effect);
	
	// 強制終了
	void Terminate ( IEffect *effect );
	
	bool IsExist (  IEffect *effect );

private:

	vector<IEffect*> _effectList;

};
#endif



