//=========================================================
//
// エフェクト：カーテン閉じる
// つまり、試合開始前後のあれ
//
//=========================================================

#include "Effect_Curtain_Close.h"
#include "Define.h"

//=========================================================
// コンストラクタ
//=========================================================
Effect_CurtainClose_002::Effect_CurtainClose_002() {

	_isEnd = false;
	_isClosed = false;
	_frameCount_SinceClosed = 0;

	// カーテンの色。真っ白になったときが、閉まったとき
	_currentColor = sf::Color ( 255,255,255,0 );

	// カーテンとしての実体。徐々に色を濃くする
	_screenShape  = sf::RectangleShape ( sf::Vector2f ( APPLICATION::WINDOW_SIZE::WIDTH, APPLICATION::WINDOW_SIZE::HEIGHT ) );
	
	_screenShape.setOutlineThickness(0);
	_screenShape.setFillColor ( _currentColor );
	_screenShape.setPosition ( sf::Vector2f(0.0f, 0.0f) );
	
}
//=========================================================
// デストラクタ
//=========================================================
Effect_CurtainClose_002::~Effect_CurtainClose_002() {
	
	printf ( "Effect_CurtainClose_002::~Effect_CurtainClose_002()\n" );
	
}

//=========================================================
// 更新
//=========================================================
bool Effect_CurtainClose_002::Update(sf::RenderWindow &window) {

	if ( !_isClosed ) {
		
		int nextA = _currentColor.a + 3;

		if ( nextA > 255 ) {
			nextA = 255;
			_isClosed = true;
		}
		_currentColor.a = nextA;
		_screenShape.setFillColor ( _currentColor );

	} else {

		++_frameCount_SinceClosed;
		
		if (_frameCount_SinceClosed > 60) { // 真っ白になった時点ですこし待機してタメを作るということ

			int nextA = _currentColor.a - 3;

			if ( nextA < 0 ) {
				nextA = 0;
				_isEnd;
			}
			_currentColor.a = nextA;
			_screenShape.setFillColor ( _currentColor );

		}

	}

/*
	if ( _currentColor.a < 255 ) {
		
		int nextA = _currentColor.a + 3;

		if ( nextA > 255 ) {
			nextA = 255;
		}
		_currentColor.a = nextA;

		_screenShape.setFillColor ( _currentColor );

	} else {

		_isClosed = true;
		++_frameCount_SinceClosed;


		if ( _frameCount_SinceClosed > 3 ) {
			_isEnd = true;
		}
	}
*/


	return _isEnd;
}

//=========================================================
// 描画
//=========================================================
void Effect_CurtainClose_002::Draw(sf::RenderWindow &window) {

	window.draw ( _screenShape );

}











