//=========================================================
//
// 衝撃波
//
//=========================================================

#ifndef _EFFECT_IMPACT_WAVE_
#define _EFFECT_IMPACT_WAVE_

#include "IEffect.h"

class Effect_ImpactWave : public IEffect {

public:

	struct Property {
		
		sf::Color color;
		int maxRadius;
		int speed;
		string soundName;
		sf::Vector2f position;

		Property() {
			soundName = "";
		}
	};

	Effect_ImpactWave ( Property prop );
	~Effect_ImpactWave();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	Property _prop;
	bool _isEnd;

	static const int PHASE_CIRCLE_SPREADS = 1;
	static const int PHASE_CIRCLE_DISAPPEAR = 2;

	int _phase;

	int _frameCount;

	sf::CircleShape _circleShape;


};
#endif

