//=========================================================
//
// 衝撃波を続けて出す
//
//=========================================================

#ifndef _EFFECT_IMPACE_WAVE_RASH_
#define _EFFECT_IMPACE_WAVE_RASH_

#include <map>

using namespace std;

#include "IEffect.h"
#include "Effect_ImpactWave.h"

class Effect_Impact_Rash : public IEffect {

public:
	Effect_Impact_Rash ( map<unsigned int, Effect_ImpactWave::Property> impactList );
	~Effect_Impact_Rash ();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);


private:

	bool _isEnd;

	unsigned int _frameCount;

	// タイミングと、設定値
	map<unsigned int, Effect_ImpactWave::Property> _impactList;

};
#endif
