//=========================================================
//
// 画面ゆれる
//
//=========================================================

#ifndef _EFFECT_SCREEN_SHAKING_
#define _EFFECT_SCREEN_SHAKING_

#include "IEffect.h"

class Effect_ScreenShaking : IEffect {

public:

	Effect_ScreenShaking();
	~Effect_ScreenShaking();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	bool _isEnd;

	sf::View _view_Original; // エフェクトを開始する時点のビューを保持しておいて、終了時に戻す算段
	sf::View _view_Mine;     // このエフェクトでいじるビュー。

	int _frameCount;


	//=========================================================
	// さいしょに実行してね
	//=========================================================
	void Init ( sf::RenderWindow &window );
};
#endif
