//=========================================================
//
// IDrawable
//
//=========================================================

#ifndef _IDRAWABLE_
#define _IDRAWABLE_

#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>

class IDrawable {
public:

	virtual ~IDrawable(){}
	virtual void Update(sf::RenderWindow &window, sf::Vector2f pos) = 0;
	virtual void Draw(sf::RenderWindow &window) = 0;

	virtual void DrawActual(sf::RenderWindow &window) {}

	
protected:


};


#endif




