//=========================================================
//
// SelectBoxItem(declare)
//
//=========================================================


#ifndef _SELECT_BOX_ITEM_
#define _SELECT_BOX_ITEM_

#include <map>
#include <vector>
#include <string>

#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>


using namespace std;

namespace GUI_SFML {

class ISelectBoxItem {

public:

	virtual ~ISelectBoxItem(){}
	virtual void Update (sf::RenderWindow &window) = 0;
	virtual void Draw   (sf::RenderWindow &window) = 0;

	virtual sf::Vector2f GetPosition() = 0;
	virtual void         SetPosition( sf::Vector2f pos) = 0;

	virtual sf::Vector2f GetSize() = 0;
	virtual bool IsMouseOver() = 0;

};
}
#endif



