//=========================================================
//
// サブルーチン集
// SFMLに依存するもの
//
//=========================================================

#ifndef _SFML_UTILS_
#define _SFML_UTILS_

#include <string>
#include <SFML/Graphics.hpp>

using namespace std;

namespace GUI_SFML {

	class SFML_Utils {

	public:

		static sf::Color Convert_string_to_color( string str, string delim = "," );
		static string    Convert_color_to_string( sf::Color color, string delim = ",");
		
		static sf::String GetSfString ( std::string str);
		
		static string Convert_IntRect_to_string      ( sf::IntRect rect );
		static sf::IntRect Convert_string_to_IntRect ( string str );

		static void PosToScreenPos ( int &mouseX, int &mouseY, sf::RenderWindow &window );
		
	private:
		
		//=========================================================
		// 参考：http://www.ryusuke.net/archives/601
		//=========================================================
		static unsigned int utf8ToUtf32(unsigned char *input, int &bytesInSequence);
	};

};


#endif

