//=========================================================
//
// SoundManager (implement)
//
//=========================================================

//#include "StdAfx.h"
#include <SFML/Audio.hpp>

#include "SoundManager.h"

using namespace GUI_SFML;

//=========================================================
// SoundManager
//=========================================================
SoundManager::SoundManager() {

	for (int i = 0; i < 10; ++i) {

		sf::Sound *sound = new sf::Sound();
		_soundList.push_back( sound );
	}
}

//=========================================================
// ~SoundManager
//=========================================================
SoundManager::~SoundManager() {

	while (_sounbBufferList.size() > 0) {
		delete _sounbBufferList.begin()->second;
		_sounbBufferList.erase(_sounbBufferList.begin());
	}

	while (_soundList.size() > 0) {
		delete (*_soundList.begin());
		_soundList.erase(_soundList.begin());
	}
}


//=========================================================
// Play
//=========================================================
void SoundManager::Play(string fileName) {

	if ( fileName == "" ) {
		return;
	}

	//map<string, sf::SoundBuffer>::
	//_sounbBufferList.find(fileName);
	
	sf::SoundBuffer *buf = NULL;
	map<string, sf::SoundBuffer*>::iterator findIt = _sounbBufferList.find(fileName);
	if ( findIt == _sounbBufferList.end()) {

		buf = new sf::SoundBuffer();

		if (buf->loadFromFile( fileName )) {

			_sounbBufferList[fileName] = buf;
		}

	} else {

		buf = findIt->second;
	}


	if ( buf != NULL ) {

		for (unsigned int i = 0; i < _soundList.size(); ++i) {

			if ( _soundList[i]->getStatus() == sf::Sound::Status::Stopped ) {

				_soundList[i]->setBuffer(*buf);
				_soundList[i]->play();
				break;
			}

		}
	}

}
