//=========================================================
//
// 矢印クラス
//
//=========================================================

#ifndef _ARROW_AS_AN_OBJECT_THAT_IS_PUT_ON_THE_SCREEN_
#define _ARROW_AS_AN_OBJECT_THAT_IS_PUT_ON_THE_SCREEN_

#include <SFML/Graphics.hpp>
#include <string>

#include "../Utils/Utils_Cal.h"

using namespace std;

class Arrow {

public:

		//sf::Image   image;
		//sf::Texture texture;
		//sf::Sprite  sprite;

	Arrow();
	~Arrow();

	void Update ( sf::RenderWindow &window );
	void Draw   ( sf::RenderWindow &window );
	
	void Init ( sf::Vector2f posFrom, sf::Vector2f posTo );
	
	void SetActive ( bool arg = true ) { _isActive = arg; }
	
	sf::Vector2f GetPositionFrom() { return _positionFrom; }
	sf::Vector2f GetPositionTo  () { return _positionTo; }

private:

	bool _isActive; // 活性状態？

	sf::Vector2f _positionFrom;  // 起点
	sf::Vector2f _positionTo;    // 終点
	
	//sf::RectangleShape line (sf::Vector2f(150, 5) );
	//sf::CircleShape triangle (80, 3);
	sf::RectangleShape _lineRect;
	sf::CircleShape    _arrowPart;











};
#endif




