//=========================================================
//
// スクリプト実行用シーン（宣言）
//
//=========================================================


#ifndef _SCENE_SCRIPT_
#define _SCENE_SCRIPT_

#include <SFML/Graphics.hpp>

#include "IScene.h"

class ScriptEngine;


class SceneScript : public IScene {

public:

	SceneScript();
	~SceneScript();
	void Init();
	int  Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);
	void Ready(sf::RenderWindow &window);
	void Clear(sf::RenderWindow &window);
	bool IsRendered();
	
	/*
		右クリックメニューで「タイトルに戻る」を選んだときのシークエンス
		0：平常時
		1：「タイトルに戻る」を選んだ直後。これを受けてScriptEngine側でフェードアウト開始
		2：フェードアウト完了を待ち受けているところ。完了次第 3 に移行
		3：SceneScript側で 3 になったことを受けて、ScriptEngineオブジェクトをdeleteしてインスタンス生成しなおす。
	*/
	//static int BACK_TO_TITLE;
	/*
		→ タイトルに戻る機能はセーブデータを利用した方式にした
	*/

private:

	ScriptEngine *_scriptEngine;
	};
#endif
