//=========================================================
//
// Effect_BattleLose
//
//=========================================================

#ifndef _EFFECT_BATTLE_LOSE_
#define _EFFECT_BATTLE_LOSE_

#include "IEffect.h"


class Effect_BattleLose : public IEffect {

public:

	Effect_BattleLose();
	~Effect_BattleLose();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	bool _isEnd;

	sf::Texture _message_Texture;
	sf::Sprite  _message_Sprite;

	/*
	sf::RectangleShape _shape;

	sf::Image   _message_Image;
	sf::Texture _message_Texture;
	sf::Sprite  _message_Sprite;
	*/

	sf::Vector2f _position_Current;
	sf::Vector2f _position_Goal1;
	sf::Vector2f _position_Goal2;

	int _frameCount;

	static const int STATE_TO_GOAL1;
	static const int STATE_GOAL1;
	static const int STATE_TO_GOAL2;
	static const int STATE_GOAL2;

	int _state;


};

#endif



