//=========================================================
//
// Effect_BattleStart
//
//=========================================================

#ifndef _EFFECT_BATTLE_START_
#define _EFFECT_BATTLE_START_

#include "IEffect.h"


class Effect_BattleStart : public IEffect {

public:

	Effect_BattleStart();
	~Effect_BattleStart();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:

	bool _isEnd;
	
	
	sf::RectangleShape _shape;

	//sf::Image   _message_Image;
	//sf::Texture _message_Texture;
	//sf::Sprite  _message_Sprite;
	////sf::Text _message_Text;

	sf::Texture _message_Texture;
	sf::Sprite  _message_Sprite;

	sf::Vector2f _position_Current;
	sf::Vector2f _position_Goal1;
	sf::Vector2f _position_Goal2;

	int _frameCount;

	static const int STATE_TO_GOAL1;
	static const int STATE_GOAL1;
	static const int STATE_TO_GOAL2;
	static const int STATE_GOAL2;

	int _state;


};

#endif



