//=========================================================
//
// エフェクト。カーテン開く
// つまり試合前後のあれ
//
//=========================================================

#include "Effect_CurtainOpen.h"
#include "Define.h"

//=========================================================
// コンストラクタ
//=========================================================
Effect_CurtainOpen001::Effect_CurtainOpen001() {

	_isEnd = false;

	// カーテンの色。真っ黒になったときが、閉まったとき
	_currentColor = sf::Color ( 0,0,0,255 );

	// カーテンとしての実体。徐々に色を濃くする
	_screenShape  = sf::RectangleShape ( sf::Vector2f ( APPLICATION::WINDOW_SIZE::WIDTH, APPLICATION::WINDOW_SIZE::HEIGHT ) );
	
	_screenShape.setOutlineThickness(0);
	_screenShape.setFillColor ( _currentColor );
	_screenShape.setPosition ( sf::Vector2f(0.0f, 0.0f) );


}

//=========================================================
// デストラクタ
//=========================================================
Effect_CurtainOpen001::~Effect_CurtainOpen001() {


}

//=========================================================
// 更新
//=========================================================
bool Effect_CurtainOpen001::Update(sf::RenderWindow &window) {

	if ( _currentColor.a > 0 ) {
		
		int nextA = _currentColor.a - 10;

		if ( nextA < 0 ) {
			nextA = 0;
		}
		_currentColor.a = nextA;

		_screenShape.setFillColor ( _currentColor );

	} else {

		_isEnd = true;
	}
	


	return _isEnd;
}

//=========================================================
// 描画
//=========================================================
void Effect_CurtainOpen001::Draw(sf::RenderWindow &window) {

	window.draw ( _screenShape );
}





