//=========================================================
//
// システムメッセージ
//
//=========================================================

#ifndef _EFFECT_SYSTEM_MESSAGE_
#define _EFFECT_SYSTEM_MESSAGE_

#include "IEffect.h"
#include <SFML/Graphics.hpp>

class Effect_SystemMessage : public IEffect {

public:

	Effect_SystemMessage ( string message, sf::Font &font );
	~Effect_SystemMessage();

	bool Update(sf::RenderWindow &window);
	void Draw(sf::RenderWindow &window);

private:
	static int CURRENT_MESSAGE_NUM;
	static int MAX_MESSAGE_NUM;
	int _myIndex;
	
	sf::Text _text;
	
	sf::RectangleShape _base;
	sf::Vector2f _size;
	sf::Vector2f _position;
	int _count;
	
	
	bool _isEnd;
};

#endif
