//=========================================================
//
// IMouseClingableObject
//
//=========================================================

#ifndef _IMOUSECLINGABLEOBJECT_
#define _IMOUSECLINGABLEOBJECT_

#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>

class IMouseClingableObject {
public:

	virtual ~IMouseClingableObject(){}
	virtual void Update(sf::RenderWindow &window, sf::Vector2f pos) = 0;
	virtual void Draw(sf::RenderWindow &window) = 0;

	virtual void DrawActual(sf::RenderWindow &window) {}

	virtual float GetMouseDrawOffsetX() { return 0.0f; }
	virtual float GetMouseDrawOffsetY() { return 0.0f; }
	
protected:

};


#endif




